iTunes

Opening the iTunes Store.If iTunes doesn’t open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download from the iTunes Store, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Frankie Potts and the Postcard Puzzle

This book can be downloaded and read in iBooks on your Mac or iOS device.

Description

Book 3 in Juliet Jacka's addictive new Frankie Potts series for readers ages 6-10.

Meet Frankie Potts, the village of Tring's number-one girl detective. She has flaming red hair, a questioning mind and a very clever dog named Sparkplug. And she is REALLY good at solving mysteries.

Frankie's list of mysteries to solve is getting longer by the day. Firstly, her mum is acting very strangely -she's tired, grumpy and feels sick all the time. And then there's Grandma M, who keeps dropping hints about expanding her troupe of performing greyhounds: Tinkerbell, Titania and Tiramisu.

With her detective sidekick Mac, Frankie travels to Gigglesworth to find out about the mysterious Gideon R. Best, Animal Trainer Extraordinaire, and why he sent a postcard - with two kisses on it - to Frankie's mum. How can Frankie work out what an overweight donkey, a cuddle-obsessed pig and a pooing parrot have to do with anything? And why has Tinkerbell started to waddle?

Kaboom! Things are getting explosive in Frankie's family. She had better start solving ...

Frankie Potts and the Postcard Puzzle
View in iTunes
  • $9.99
  • Available on iPhone, iPad, iPod touch, and Mac.
  • Category: Fiction
  • Published: 30 January 2017
  • Publisher: Penguin Books Ltd
  • Seller: Penguin Books Limited
  • Print Length: 112 Pages
  • Language: English
  • Version: 1.0.0
  • Requirements: To view this book, you must have an iOS device with iBooks 1.5 or later and iOS 4.3.3 or later, or a Mac with iBooks 1.0 or later and OS X 10.9 or later.

Customer Ratings

We have not received enough ratings to display an average for this book.